GeoTessCPP: geotess::GeoTessDataType Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
geotess::GeoTessDataType Class Reference

Enumeration of supported DataType including DOUBLE, FLOAT, LONG, INT, SHORT and BYTE. More...

`#include <GeoTessDataType.h>`

Inheritance diagram for geotess::GeoTessDataType:

## Public Member Functions
virtual | ~GeoTessDataType ()
Public Member Functions inherited from geotess::GeoTessEnumType
virtual | ~GeoTessEnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const GeoTessDataType * | valueOf (const string &s)
static GeoTessDataType const *const *const | values ()
static int | size ()
template<typename T >
static const GeoTessDataType & | getDataType (T typ)
template<>
const GeoTessDataType & | getDataType (double typ)
template<>
const GeoTessDataType & | getDataType (float typ)
template<>
const GeoTessDataType & | getDataType (LONG_INT typ)
template<>
const GeoTessDataType & | getDataType (int typ)
template<>
const GeoTessDataType & | getDataType (short typ)
template<>
const GeoTessDataType & | getDataType (byte typ)

## Static Public Attributes
static const GeoTessDataType | DOUBLE
static const GeoTessDataType | FLOAT
static const GeoTessDataType | LONG
static const GeoTessDataType | INT
static const GeoTessDataType | SHORT
static const GeoTessDataType | BYTE
static const GeoTessDataType | NONE
static const GeoTessDataType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::GeoTessEnumType
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::GeoTessEnumType
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)
Protected Attributes inherited from geotess::GeoTessEnumType
const string | aName
const int | aOrdinal

## Detailed Description

Enumeration of supported DataType including DOUBLE, FLOAT, LONG, INT, SHORT and BYTE.

Enumeration of supported DataType which includes DOUBLE, FLOAT, LONG, INT, SHORT and BYTE.

Definition at line 69 of file GeoTessDataType.h.

## Constructor & Destructor Documentation

## ◆ ~GeoTessDataType()

virtual geotess::GeoTessDataType::~GeoTessDataType | ( |  | ) |
| inlinevirtual

Standard Destructor.

Definition at line 141 of file GeoTessDataType.h.

## Member Function Documentation

## ◆ getDataType() [1/7]

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | byte | typ | ) |
| inlinestatic

Template specialization for getDataType()

Definition at line 245 of file GeoTessDataType.h.

## ◆ getDataType() [2/7]

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | double | typ | ) |
| inlinestatic

Template specialization for getDataType()

Definition at line 200 of file GeoTessDataType.h.

## ◆ getDataType() [3/7]

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | float | typ | ) |
| inlinestatic

Template specialization for getDataType()

Definition at line 209 of file GeoTessDataType.h.

## ◆ getDataType() [4/7]

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | int | typ | ) |
| inlinestatic

Template specialization for getDataType()

Definition at line 227 of file GeoTessDataType.h.

## ◆ getDataType() [5/7]

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | LONG_INT | typ | ) |
| inlinestatic

Template specialization for getDataType()

Definition at line 218 of file GeoTessDataType.h.

## ◆ getDataType() [6/7]

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | short | typ | ) |
| inlinestatic

Template specialization for getDataType()

Definition at line 236 of file GeoTessDataType.h.

## ◆ getDataType() [7/7]

template<typename T >

static const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | T | typ | ) |
| inlinestatic

Definition at line 188 of file GeoTessDataType.h.

## ◆ size()

static int geotess::GeoTessDataType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

Definition at line 179 of file GeoTessDataType.h.

## ◆ valueOf()

static const GeoTessDataType* geotess::GeoTessDataType::valueOf | ( | const string & | s | ) |
| inlinestatic

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters

  s | The input string for which a match in array is returned (or null).

Returns
  The match of s in the names of array or null if one was not found.

Definition at line 162 of file GeoTessDataType.h.

## ◆ values()

static GeoTessDataType const* const* const geotess::GeoTessDataType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

Definition at line 171 of file GeoTessDataType.h.

## Member Data Documentation

## ◆ aArray

const GeoTessDataType* geotess::GeoTessDataType::aArray[]
| static

The array containing all enums declared above.

Definition at line 136 of file GeoTessDataType.h.

## ◆ BYTE

const GeoTessDataType geotess::GeoTessDataType::BYTE
| static

Definition at line 130 of file GeoTessDataType.h.

## ◆ DOUBLE

const GeoTessDataType geotess::GeoTessDataType::DOUBLE
| static

The actual enums for this type.

Definition at line 125 of file GeoTessDataType.h.

## ◆ FLOAT

const GeoTessDataType geotess::GeoTessDataType::FLOAT
| static

Definition at line 126 of file GeoTessDataType.h.

## ◆ INT

const GeoTessDataType geotess::GeoTessDataType::INT
| static

Definition at line 128 of file GeoTessDataType.h.

## ◆ LONG

const GeoTessDataType geotess::GeoTessDataType::LONG
| static

Definition at line 127 of file GeoTessDataType.h.

## ◆ NONE

const GeoTessDataType geotess::GeoTessDataType::NONE
| static

Definition at line 131 of file GeoTessDataType.h.

## ◆ SHORT

const GeoTessDataType geotess::GeoTessDataType::SHORT
| static

Definition at line 129 of file GeoTessDataType.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessDataType.h